/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.txpropiiop.interfaces.b;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

/**
 * A SessionB.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public interface SessionB extends EJBObject
{
   String sayHello(String payload) throws RemoteException;
   String testNotSupported(String payload) throws RemoteException;
   String testRequired(String payload) throws RemoteException;
   String testSupports(String payload) throws RemoteException;
   String testRequiresNew(String payload) throws RemoteException;
   String testMandatory(String payload) throws RemoteException;
   String testNever(String payload) throws RemoteException;
}
